<?php
/**
 * Theme Palace widgets inclusion
 *
 * This is the template that includes all custom widgets of fairtimes
 *
 * @package Theme Palace
 * @subpackage Fairtimes
 * @since Fairtimes 1.0.0
 */

/*sdfsdf
 * Add social link widget
 */
require get_template_directory() . '/inc/widgets/social-link-widget.php';

/*
 * Add About  widget
 */
require get_template_directory() . '/inc/widgets/about-info-widget.php';

/*
 * Add Recent Posts widget
 */
require get_template_directory() . '/inc/widgets/recent-posts-widget.php';

/*
 * Add Widget Post Filter Posts widget
 */
require get_template_directory() . '/inc/widgets/widget-posts-filter.php';

/*
 * Add Widget Post Filter Posts widget
 */
require get_template_directory() . '/inc/widgets/widget-no-image-post.php';

/*
 * Add Widget Most Read Post
 */
require get_template_directory() . '/inc/widgets/widget-most-read-post.php';
/*

/*
 * Add Widget Most Read Post
 */
require get_template_directory() . '/inc/widgets/widget-world-news.php';
/*


/*
 * Add Widget Most Read Post
 */
require get_template_directory() . '/inc/widgets/widget-posts-slider.php';

/*
 * Add Widget Most Read Post
 */
require get_template_directory() . '/inc/widgets/widget-recent-news.php';

/*
 * Add popular post widget
 */
require get_template_directory() . '/inc/widgets/social-link-widget.php';



/**
 * Register widgets
 */
function fairtimes_register_widgets() {
	
	register_widget( 'fairtimes_About_Us_Image_Widget' );

	register_widget( 'fairtimes_Recent_Post' );

	register_widget( 'fairtimes_Social_Link' );

	register_widget( 'fairtimes_Post_Filter' );

	register_widget( 'fairtimes_No_Image_Post' );

	register_widget( 'fairtimes_Most_Read_Post' );

	register_widget( 'fairtimes_world_news' );

	register_widget( 'fairtimes_Posts_Slider' );

	register_widget( 'fairtimes_Recent_News' );


}
add_action( 'widgets_init', 'fairtimes_register_widgets' );